<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Event.aspx.cs" Inherits="ADW.WEB.Script_Event" %>
// JScript 文件
ALLEvents=function(node)
{    

    //当前活动tab
     var tab_active;
    //用户信息管理
    var str_id=node.id;
    if(node.id==100006)
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
       
           UserRoleInfoManage(node);
        
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }
    

    }

        if(node.id==118097)//友情连接管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){

           PayMcinfoLinkManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
            if(node.id==114097)//站点发布管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){

           PayMcinfoPubManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
            if(node.id==117097)//访问统计管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){

           PayMcinfoUserinfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
               if(node.id==113097)//短信管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){

           PayMcinfoSmsManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
           if(node.id==100089)//全站统一分类管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           ClalssInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
    
    if(node.id==100879)//定单管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           OrderInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
    if(node.id==100899)//商品管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           ProductInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        if(node.id==100579)//配送管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           ShipInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        if(node.id==100479)//支付管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           PayInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        if(node.id==100379)//用户管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           MemberInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        if(node.id==100279)//常用设置管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           ConfigInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        if(node.id==100179)//品牌管理
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           BrandInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }

    
    //内容系统管理ArticleInfoManage

        if(node.id==115097)//
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           ArticleInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
        //广告系统管理madInfoManage

        if(node.id==116097)//
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
          
           MadinfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }
         if(node.id==100789)
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
       
           ArrangeManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }

    //角色信息管理100009 
    if(node.id==100200)
    {
       tab_active = center.getItem(node.id);
       if(!tab_active){
       
           RoleInfoManage(node);
           
       }
       else
       {
       
            center.setActiveTab(tab_active);
       }


    }












    
   // }
   
    //动态加载区域
    <%=JSON %>
    

}

      //关闭TabPanel标签
      Ext.ux.TabCloseMenu = function(){
      var tabs, menu, ctxItem;
      this.init = function(tp) {
         tabs = tp;
         tabs.on('contextmenu', onContextMenu);
      }
      function onContextMenu(ts, item, me) {
         if (!menu) { // create context menu on first right click
            menu = new Ext.menu.Menu([{
               id: tabs.id + '-close',
               text: '关闭当前标签',
               iconCls:"closetabone",
               handler : function() {
                  tabs.remove(ctxItem);
               }
            },{
               id: tabs.id + '-close-others',
               text: '除此之外全部关闭',
               iconCls:"closetaball",
               handler : function() {
                  tabs.items.each(function(item){
                     if(item.closable && item != ctxItem){
                        tabs.remove(item);
                     }
                  });
               }
            }]);
         }
         ctxItem = item;
         var items = menu.items;
         items.get(tabs.id + '-close').setDisabled(!item.closable);
         var disableOthers = true;
         tabs.items.each(function() {
            if (this != item && this.closable) {
               disableOthers = false;
               return false;
            }
         });
         items.get(tabs.id + '-close-others').setDisabled(disableOthers);
         menu.showAt(me.getXY());
      }
   };
   
   
//内容为Grid
GridMain=function(node,grid,icon){
var mainid=node.id;
var maintitle=node.text;


mainid=node.id;
maintitle=node.text;
var node_id=node.id;
var class_id="0";
if(node_id.indexOf("3999")>-1){
    
    var temp_arr=node_id.split("3999");
    class_id=temp_arr[0];
  
}
if(node_id.indexOf("888")>-1){

   var temp_arr=node_id.split("888");
   class_id=temp_arr[0];

}
if(node_id.substring(0,3)=="302"){
 class_id=node_id.substring(3,node_id.length);

}
if(class_id!=0){
maintitle="器件查询-"+node.text;
mainid=100000;
}



    var tab = center.getItem(mainid);
    if(mainid!=node.id){
    
            center.remove(mainid);
    }
tab = center.getItem(mainid);
	    if(!tab){
		   var tab = center.add({
			    id:mainid,
			    iconCls:icon,
			    xtype:"panel",
			    title:maintitle,
			    closable:true,
			    layout:"fit",
			    items:[grid]
			   
		    });
	    }
  center.setActiveTab(tab);

 }
 //器件详细信息
 GridMain_DeviceView=function(id){
var id1=id+444;
 tab = center.getItem(id1);
	    if(!tab){
		   var tab = center.add({
			    id:id1,
			    iconCls:"totalicon",
			    xtype:"panel",
			    title:"器件详细信息",
			    closable:true,
			    layout:"fit",
			    html:"<iframe src='services/device/Deviceview.aspx?id="+id+"'  scrolling='yes' frameborder=0 width=100% height=100%></iframe>"
			    //items:[Device_view]
			   
		    });
	    }
	    
  center.setActiveTab(tab);
 
 
 }
 
 //器件检测报告详细信息
 GridMain_reportView=function(id){
var id1=id+444;
 tab = center.getItem(id1);
	    if(!tab){
		   var tab = center.add({
			    id:id1,
			    iconCls:"totalicon",
			    xtype:"panel",
			    title:"检测报告详细信息",
			    closable:true,
			    layout:"fit",
			    html:"<iframe src='services/Reporttest/Deviceview.aspx?id="+id+"'  scrolling='yes' frameborder=0 width=100% height=100%></iframe>"
			    //items:[Device_view]
			   
		    });
	    }
  center.setActiveTab(tab);
 
 
 }



